-- LSP Server for LaTeX

local capabilities = require('cmp_nvim_lsp').update_capabilities(vim.lsp.protocol.make_client_capabilities())

require'lspconfig'.texlab.setup {
  capabilities = capabilities,
  on_attach = function()
    vim.keymap.set('n', 'K', vim.lsp.buf.hover, { buffer = 0, remap = false })
    vim.keymap.set('n', 'gd', vim.lsp.buf.definition, { buffer = 0, remap = false })
    vim.keymap.set('n', 'gD', vim.lsp.buf.declaration, { buffer = 0, remap = false })
    vim.keymap.set('n', 'gT', vim.lsp.buf.type_definition, { buffer = 0, remap = false })
    vim.keymap.set('n', '<leader>dj', vim.diagnostic.goto_next, { buffer = 0, remap = false })
    vim.keymap.set('n', '<leader>dk', vim.diagnostic.goto_prev, { buffer = 0, remap = false })
    vim.keymap.set('n', '<leader>dl', '<cmd>Telescope diagnostics<CR>', { buffer = 0, remap = false })
  end,
  settings = {
    texlab = {
      chktex = {
        onEdit = true,
        onOpenAndSave = true
      },
    }
  }
}
